Bug 22710 - [18.11] Return to the last advanced search link not filtering correctly
Summary: [18.11] Return to the last advanced search link not filtering correctly
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: 18.11
Hardware: All All
: P5 - low normal (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-04-15 20:44 UTC by Lucas Gass
Modified: 2019-08-06 19:59 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Attachment to Bug 22710 - Return to the last advanced search link not filtering correctly in 18.11.x (1.14 KB, patch)
2019-04-15 20:54 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 22710: [18.11.x] Return to the last advanced search link not filtering correctly in 18.11.x (1.21 KB, patch)
2019-08-01 12:05 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2019-04-15 20:44:51 UTC
in 18.11.x the 'Return to the last advanced search' link is broken. The opac-search template is using the uri filter when it should probably be using url
Comment 1 Lucas Gass 2019-04-15 20:54:09 UTC
Created attachment 88036 [details] [review]
Attachment to Bug 22710 - Return to the last advanced search link not filtering correctly in 18.11.x

Bug 22710: Return to the last advanced search link not filtering correctly in 18.11.x

TEST PLAN:
1. from 18.11.x perform an advanced search.
2. from the results page click on the 'Return to the last advanced search' link.
3. Get a 404 errror.
4. Apply patch and repeat steps 1 and 2.
5. This time you should be returned to the advanced search page.
Comment 2 Séverine Queune 2019-04-17 09:25:15 UTC
Sorry Lucas...

The sandbox you've requested is not ready.
Some problems occurred applying patches from bug 22710:
<h1>Something went wrong !</h1>Applying: Bug 22710: Return to the last advanced search link not filtering correctly in 18.11.x
fatal: sha1 information is lacking or useless (koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-results.tt).
error: could not build fake ancestor
Patch failed at 0001 Bug 22710: Return to the last advanced search link not filtering correctly in 18.11.x
The copy of the patch that failed is found in: .git/rebase-apply/patch
When you have resolved this problem run git bz apply --continue.
If you would prefer to skip this patch, instead run git bz apply --skip.
To restore the original branch and stop patching run git bz apply --abort.
Bug 22710 - Return to the last advanced search link not filtering correctly in 18.11.x

88036 - Attachment to Bug 22710 - Return to the last advanced search link not filtering correctly in 18.11.x


For information : I noticed this bug in a 18.11.04 instance, but not on the sandbox I used before applying the patch.
Comment 3 Lucas Gass 2019-04-18 17:05:47 UTC
Séverine,

Did you checkout the 18.11 branch before applying this patch?
Comment 4 Lucas Gass 2019-06-26 15:18:45 UTC
backported to 18.11.x for 18.11.07
Comment 5 Lucas Gass 2019-07-31 16:42:56 UTC
the above comment is a mistake. this was never backported to 18.11.x
Comment 6 Katrin Fischer 2019-08-01 11:58:34 UTC
Confirmed.
Comment 7 Katrin Fischer 2019-08-01 12:05:15 UTC
Created attachment 91904 [details] [review]
Bug 22710: [18.11.x] Return to the last advanced search link not filtering correctly in 18.11.x

Signed-off-by: Katrin Fischer <katrin.fischer@bsz-bw.de>
Comment 8 Katrin Fischer 2019-08-01 12:05:50 UTC
Applies perfectly on 18.11.x - moving straight to PQA, another one-line patch fixing a bad bug.
Comment 9 Lucas Gass 2019-08-06 19:58:33 UTC
backported to 18.11.x for 18.11.09